%if 0%{?fedora} || 0%{?rhel} >= 6
%global with_devel 1
%global with_bundled 0
%global with_debug 0
# tests requires golang-docs which is not present on gcc-go archs
%ifarch %{?golang_arches:%{golang_arches}}%{!?golang_arches:%{ix86} x86_64 %{arm}}
%global with_check 0
%global with_unit_test 1
%else
%global with_check 0
%global with_unit_test 0
%endif
%else
%global with_devel 1
%global with_bundled 0
%global with_debug 0
%global with_check 0
%global with_unit_test 1
%endif

%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         golang
%global repo            tools
# https://github.com/golang/tools/
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/tools
%global commit          9deed8c6c1c89e0b6d68d727f215de8e851d1064
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%global gc_import_path  code.google.com/p/go.tools
%global x_name          golang-golangorg-tools

%global go_arch %(go env GOHOSTARCH)
%global go_root %(go env GOROOT)

Name:           golang17-googlecode-tools
Version:        0
Release:        14.1.git%{shortcommit}%{?dist}
Summary:        Supplementary tools and packages for Go
License:        BSD
URL:            https://%{provider_prefix}
Source0:        https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 %{arm}}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires:  golang17
%global gopath /usr/lib/golang17

%description
%{summary}

%package -n golang17-godoc
Summary:        Documentation tool for the Go programming language
Provides:       golang17(%{gc_import_path}/cmd/godoc) = %{version}-%{release}
Epoch:          1
%description -n golang17-godoc
Godoc extracts and generates documentation for Go programs.
Obsoletes:      golang-godoc = 1.1.2

%package -n golang17-gotype
Summary:        Go programming language source code analysis tool
Provides:       golang17(%{gc_import_path}/cmd/gotype) = %{version}-%{release}
%description -n golang17-gotype
The gotype command does syntactic and semantic analysis of Go files and
packages like the front-end of a Go compiler. Errors are reported if the
analysis fails; otherwise gotype is quiet.


%package -n golang17-html2article
Summary:        Tool for creating articles from HTML files
Provides:       golang17(%{gc_import_path}/cmd/html2article) = %{version}-%{release}
BuildRequires:  golang17(golang.org/x/net/html)
BuildRequires:  golang17(golang.org/x/net/html/atom)
%description -n golang17-html2article
This program takes an HTML file and outputs a corresponding article file
in present format. See: code.google.com/p/go.tools/present

%package        callgraph
Summary:        Tool for reporting the call graph of a Go program
Provides:       golang17(%{gc_import_path}/cmd/callgraph) = %{version}-%{release}
%description    callgraph
Tool for reporting the call graph of a Go program.

%package        digraph
Summary:        Tool performs queries over unlabelled directed graphs represented in text form
Provides:       golang17(%{gc_import_path}/cmd/digraph) = %{version}-%{release}
%description    digraph
The digraph command performs queries over unlabelled directed graphs represented in text form.

%package        gorename
Summary:        Tool for reporting the call graph of a Go program
Provides:       golang17(%{gc_import_path}/cmd/gorename) = %{version}-%{release}
%description    gorename
Tool for reporting the call graph of a Go program.

%package        stringer
Summary:        Tool to automate the creation of methods that satisfy the fmt.Stringer interface
Provides:       golang17(%{gc_import_path}/cmd/stringer) = %{version}-%{release}
%description    stringer
tool to automate the creation of methods that satisfy the fmt.Stringer interface.

%package        godex
Summary:        Dump exported information for Go programming language
Provides:       golang17(%{gc_import_path}/cmd/godex) = %{version}-%{release}
%description    godex
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/godex for more information.


%package        benchcmp
Summary:        Displays performance changes between benchmarks for the Go programming language
Provides:       golang17(%{gc_import_path}/cmd/benchcmp) = %{version}-%{release}
%description    benchcmp
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/benchcmp for more information.


%package        eg
Summary:        Example-based refactoring for the Go programming language
Provides:       golang17(%{gc_import_path}/cmd/eg) = %{version}-%{release}
%description    eg
%{summary}.

See `eg -help` for more information.


%package        oracle
Summary:        Go programming language oracle
Provides:       golang17(%{gc_import_path}/cmd/oracle) = %{version}-%{release}
%description    oracle
%{summary}.

See http://golang.org/s/oracle-user-manual for more information.


%package        goimports
Summary:        Go programming language import line formatter
Provides:       golang17(%{gc_import_path}/cmd/goimports) = %{version}-%{release}
%description    goimports
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/goimports for more information.


%package        present
Summary:        Slide and Article Presentation
Provides:       golang17(%{gc_import_path}/cmd/present) = %{version}-%{release}
%description    present
%{summary}.

See http://godoc.org/code.google.com/p/go.tools/cmd/present for more information.


%package        ssadump
Summary:        Display and interpreting SSA form of Go programs
Provides:       golang17(%{gc_import_path}/cmd/ssadump) = %{version}-%{release}
%description    ssadump
%{summary}.

%package devel
Summary:        Libraries of supplementary Go tools
BuildArch:      noarch

Provides:       golang17(%{gc_import_path}/benchmark/parse) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/blog) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/blog/atom) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/cmd/guru/serial) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/container/intsets) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/cover) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/ast/astutil) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/buildutil) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/callgraph) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/callgraph/cha) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/callgraph/rta) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/callgraph/static) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/gcimporter15) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/loader) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/pointer) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/ssa) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/ssa/interp) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/ssa/ssautil) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/types/typeutil) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/go/vcs) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/analysis) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/dl) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/proxy) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/redirect) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/short) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/static) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/util) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/vfs) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/vfs/gatefs) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/vfs/httpfs) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/vfs/mapfs) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/godoc/vfs/zipfs) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/imports) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/oracle) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/oracle/serial) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/playground) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/playground/socket) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/present) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/refactor/eg) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/refactor/importgraph) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/refactor/rename) = %{version}-%{release}
Provides:       golang17(%{gc_import_path}/refactor/satisfy) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use the supplementary Go tools libraries with code.google.com/p/ imports.

%package -n golang17-golangorg-tools-devel
Summary:        Libraries of supplementary Go tools
BuildArch:      noarch

Provides:       golang17(%{import_path}/benchmark/parse) = %{version}-%{release}
Provides:       golang17(%{import_path}/blog) = %{version}-%{release}
Provides:       golang17(%{import_path}/blog/atom) = %{version}-%{release}
Provides:       golang17(%{import_path}/cmd/guru/serial) = %{version}-%{release}
Provides:       golang17(%{import_path}/container/intsets) = %{version}-%{release}
Provides:       golang17(%{import_path}/cover) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/ast/astutil) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/buildutil) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/callgraph) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/callgraph/cha) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/callgraph/rta) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/callgraph/static) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/gcimporter15) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/loader) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/pointer) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/ssa) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/ssa/interp) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/ssa/ssautil) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/types/typeutil) = %{version}-%{release}
Provides:       golang17(%{import_path}/go/vcs) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/analysis) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/dl) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/proxy) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/redirect) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/short) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/static) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/util) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/vfs) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/vfs/gatefs) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/vfs/httpfs) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/vfs/mapfs) = %{version}-%{release}
Provides:       golang17(%{import_path}/godoc/vfs/zipfs) = %{version}-%{release}
Provides:       golang17(%{import_path}/imports) = %{version}-%{release}
Provides:       golang17(%{import_path}/oracle) = %{version}-%{release}
Provides:       golang17(%{import_path}/oracle/serial) = %{version}-%{release}
Provides:       golang17(%{import_path}/playground) = %{version}-%{release}
Provides:       golang17(%{import_path}/playground/socket) = %{version}-%{release}
Provides:       golang17(%{import_path}/present) = %{version}-%{release}
Provides:       golang17(%{import_path}/refactor/eg) = %{version}-%{release}
Provides:       golang17(%{import_path}/refactor/importgraph) = %{version}-%{release}
Provides:       golang17(%{import_path}/refactor/rename) = %{version}-%{release}
Provides:       golang17(%{import_path}/refactor/satisfy) = %{version}-%{release}

%description -n golang17-golangorg-tools-devel
%{summary}

This package contains library source intended for building other packages
which use the supplementary Go tools libraries with golang.org/x/ imports.

%if 0%{?with_unit_test} && 0%{?with_devel}
%package -n golang17-golangorg-tools-unit-test-devel
Summary:         Unit tests for %{name} package

%if 0%{?with_check}
BuildRequires:   golang17-docs
%endif

# test subpackage tests code from devel subpackage
Requires:        golang17-golangorg-tools-devel = %{version}-%{release}
Requires:        golang17-docs

%description -n golang17-golangorg-tools-unit-test-devel
%{summary}

This package contains unit tests for %{project}/%{repo}.
%endif

%prep
%setup -q -n %{repo}-%{commit}
#%patch0 -p1

%build
# code.google.com/p/goauth2/oauth, oauth package has been moved to root directory
# but does not contain CacheFile symbol anymore
rm -rf dashboard/coordinator

mkdir _build
pushd _build

mkdir -p src/$(dirname %{import_path})
ln -s $(dirs +1 -l) src/%{import_path}
export GOPATH=$(pwd):%{gopath}
for cmd in \
  benchcmp \
  callgraph \
  digraph \
  eg \
  godex \
  godoc \
  goimports \
  gorename \
  gotype \
  html2article \
  oracle \
  present \
  ssadump \
  stringer
do
  go build -v -a %{import_path}/cmd/$cmd
done

popd

%install
install -d %{buildroot}%{gopath}/bin
install -p -m 755 _build/benchcmp %{buildroot}%{gopath}/bin
install -p -m 755 _build/callgraph %{buildroot}%{gopath}/bin
install -p -m 755 _build/digraph %{buildroot}%{gopath}/bin
install -p -m 755 _build/eg %{buildroot}%{gopath}/bin
install -p -m 755 _build/godex %{buildroot}%{gopath}/bin
install -p -m 755 _build/godoc %{buildroot}%{gopath}/bin
install -p -m 755 _build/goimports %{buildroot}%{gopath}/bin
install -p -m 755 _build/gorename %{buildroot}%{gopath}/bin
install -p -m 755 _build/gotype %{buildroot}%{gopath}/bin
install -p -m 755 _build/html2article %{buildroot}%{gopath}/bin
install -p -m 755 _build/oracle %{buildroot}%{gopath}/bin
install -p -m 755 _build/present %{buildroot}%{gopath}/bin
install -p -m 755 _build/ssadump %{buildroot}%{gopath}/bin
install -p -m 755 _build/stringer %{buildroot}%{gopath}/bin

# source codes for building projects
%if 0%{?with_devel}
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
install -d -p %{buildroot}/%{gopath}/src/%{gc_import_path}/

echo "%%dir %%{gopath}/src/%%{import_path}/." >> x_devel.file-list
echo "%%dir %%{gopath}/src/%%{gc_import_path}/." >> gc_devel.file-list

# find all *.go but no *_test.go files and generate devel.file-list
for ext in go s; do
    for file in $(find . -iname "*.${ext}" \! -iname "*_test.go") ; do
        install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
        cp $file %{buildroot}/%{gopath}/src/%{import_path}/$file
        echo "%%{gopath}/src/%%{import_path}/$file" >> x_devel.file-list

        install -d -p %{buildroot}/%{gopath}/src/%{gc_import_path}/$(dirname $file)
        cp $file %{buildroot}/%{gopath}/src/%{gc_import_path}/$file
        echo "%%{gopath}/src/%%{gc_import_path}/$file" >> gc_devel.file-list
    done
done

cp -r cmd/present/static %{buildroot}/%{gopath}/src/%{import_path}/cmd/present/.
echo "%%{gopath}/src/%%{import_path}/cmd/present/static" >> x_devel.file-list
cp -r cmd/present/templates %{buildroot}/%{gopath}/src/%{import_path}/cmd/present/.
echo "%%{gopath}/src/%%{import_path}/cmd/present/templates" >> x_devel.file-list

cp -r cmd/present/static %{buildroot}/%{gopath}/src/%{gc_import_path}/cmd/present/.
echo "%%{gopath}/src/%%{gc_import_path}/cmd/present/static" >> gc_devel.file-list
cp -r cmd/present/templates %{buildroot}/%{gopath}/src/%{gc_import_path}/cmd/present/.
echo "%%{gopath}/src/%%{gc_import_path}/cmd/present/templates" >> gc_devel.file-list

pushd %{buildroot}/%{gopath}/src/%{gc_import_path}/
sed -i 's/"golang\.org\/x\//"code\.google\.com\/p\/go\./g' \
        $(find . -name '*.go')
popd
%endif

# testing files for this project
%if 0%{?with_unit_test} && 0%{?with_devel}
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
# find all *_test.go files and generate unit-test.file-list
for file in $(find . -iname "*_test.go"); do
    echo "%%dir %%{gopath}/src/%%{import_path}/$(dirname $file)" >> x_devel.file-list
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{import_path}/$file
    echo "%%{gopath}/src/%%{import_path}/$file" >> unit-test-devel.file-list
done
cp -r oracle/testdata %{buildroot}/%{gopath}/src/%{import_path}/oracle/.
echo "%%{gopath}/src/%%{import_path}/oracle/testdata" >> unit-test-devel.file-list
cp -r refactor/eg/testdata %{buildroot}/%{gopath}/src/%{import_path}/refactor/eg/.
echo "%%{gopath}/src/%%{import_path}/refactor/eg/testdata" >> unit-test-devel.file-list
%endif

%if 0%{?with_devel}
sort -u -o x_devel.file-list x_devel.file-list
sort -u -o gc_devel.file-list gc_devel.file-list
%endif

%check
%if 0%{?with_check} && 0%{?with_unit_test} && 0%{?with_devel}
%if ! 0%{?with_bundled} 
export GOPATH=%{buildroot}/%{gopath}:%{gopath}
%else
export GOPATH=%{buildroot}/%{gopath}:$(pwd)/Godeps/_workspace:%{gopath}:/usr/include:/usr/lib64 
%endif

%if ! 0%{?gotest:1}
%global gotest go test
%endif

%gotest %{import_path}/benchmark/parse
%gotest %{import_path}/cmd/benchcmp
#%%gotest %%{import_path}/cmd/callgraph
%gotest %{import_path}/cmd/callgraph/testdata/src/pkg
%gotest %{import_path}/cmd/digraph
%gotest %{import_path}/cmd/fiximports
#%%gotest %%{import_path}/cmd/godoc
#%%gotest %%{import_path}/cmd/stringer
%gotest %{import_path}/container/intsets
%gotest %{import_path}/go/ast/astutil
%gotest %{import_path}/go/buildutil
%gotest %{import_path}/go/callgraph/cha
%gotest %{import_path}/go/callgraph/rta
%gotest %{import_path}/go/callgraph/static
%gotest %{import_path}/go/exact
#%%gotest %{import_path}/go/gccgoimporter
%gotest %{import_path}/go/gcimporter
# fails on ppc
#%%ifnarch %{power64}
#%%gotest %{import_path}/go/importer
#%%endif
#%%gotest %{import_path}/go/loader
%gotest %{import_path}/go/pointer
#%%gotest %{import_path}/go/pointer/testdata
#%%gotest %{import_path}/go/ssa
#%%gotest %{import_path}/go/ssa/interp
#%%gotest %{import_path}/go/ssa/interp/testdata
%gotest %{import_path}/go/ssa/ssautil
# ** Test killed with quit: ran too long (10m0s).
#%%gotest %{import_path}/go/types
%gotest %{import_path}/go/types/typeutil
#%%gotest %{import_path}/go/vcs
%gotest %{import_path}/godoc
%gotest %{import_path}/godoc/vfs/mapfs
%gotest %{import_path}/imports
%gotest %{import_path}/oracle
%gotest %{import_path}/present
%gotest %{import_path}/refactor/eg
# graph_test.go:73: fmt and io are not mutually reachable despite being in the same SCC
#%%gotest %{import_path}/refactor/importgraph
%gotest %{import_path}/refactor/rename
%endif

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files -n golang17-godoc
%defattr(-,root,root,-)
%{gopath}/bin/godoc

%files -n golang17-gotype
%defattr(-,root,root,-)
%{gopath}/bin/gotype

%files -n golang17-html2article
%defattr(-,root,root,-)
%{gopath}/bin/html2article

%files    godex
%defattr(-,root,root,-)
%{gopath}/bin/godex

%files    callgraph
%defattr(-,root,root,-)
%{gopath}/bin/callgraph

%files    digraph
%defattr(-,root,root,-)
%{gopath}/bin/digraph

%files    gorename
%defattr(-,root,root,-)
%{gopath}/bin/gorename

%files    stringer
%defattr(-,root,root,-)
%{gopath}/bin/stringer

%files    eg
%defattr(-,root,root,-)
%{gopath}/bin/eg

%files    benchcmp
%defattr(-,root,root,-)
%{gopath}/bin/benchcmp

%files    oracle
%defattr(-,root,root,-)
%{gopath}/bin/oracle

%files    goimports
%defattr(-,root,root,-)
%{gopath}/bin/goimports

%files    present
%defattr(-,root,root,-)
%{gopath}/bin/present

%files    ssadump
%defattr(-,root,root,-)
%{gopath}/bin/ssadump

%if 0%{?with_devel}
%files devel -f gc_devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README

%files -n golang17-golangorg-tools-devel -f x_devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README
%endif

%if 0%{?with_unit_test} && 0%{?with_devel}
%files -n golang17-golangorg-tools-unit-test-devel -f unit-test-devel.file-list
%license LICENSE
%doc AUTHORS CONTRIBUTORS PATENTS README
%endif

%changelog
* Wed Sep 07 2016 jchaloup <jchaloup@redhat.com> - 0-14.1.git9deed8c
- Bump to upstream 9deed8c6c1c89e0b6d68d727f215de8e851d1064
  resolves: #1373868

* Fri Aug 26 2016 jchaloup <jchaloup@redhat.com> - 0-13.1.git1cdaff4
- Include missing templates and static directories
  resolves: #1370456

* Fri Aug 05 2016 jchaloup <jchaloup@redhat.com> - 0-12.1.git1cdaff4
- Do not ship vet and cover binaries anymore, they are shipped via golang-bin
  resolves: #1268206

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-11.1.git1cdaff4
- https://fedoraproject.org/wiki/Changes/golang1.7

* Wed Apr 27 2016 jchaloup <jchaloup@redhat.com> - 0-10.1.git1cdaff4
- Bump to upstream 1cdaff4a02c554c9fb39dda0b56241c5f0949d91
  related: #1279381

* Wed Apr 13 2016 jchaloup <jchaloup@redhat.com> - 0-9.1.git997b354
- Run tests only on golang architectures

* Thu Mar 03 2016 jchaloup <jchaloup@redhat.com>
- Polish spec file
  don't check go/importer on ppc

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-7.1.git997b354
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 10 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0-6.1.git997b354
- Update to golang_arches

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.0.git997b354
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 09 2015 jchaloup <jchaloup@redhat.com> - 0-5.0.git997b354
- Update a list of provided packages

* Thu Oct 15 2015 jchaloup <jchaloup@redhat.com> - 0-4.0.git997b354
- Bump to upstream 997b3545fd86c3a2d8e5fe6366174d7786e71278

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-3.0.hga7e14835e46b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 06 2015 jchaloup <jchaloup@redhat.com> - 0-2.0.hga7e14835e46b
- Bump to a7e14835e46bb13da10fa8b9c9c5e7f2f378f568
- Add new tools presented in the commit
- Change import paths to new prefix schema golang.org/x/...
- Add new subpackage and keep the only one for back-compatibility
  resolves: #1199617

* Tue Aug 19 2014 Vincent Batts <vbatts@fedoraproject.org> - 0-1.0.hgd32b5854c941
- updating to the current latest go.tools

* Tue Aug 19 2014 Vincent Batts <vbatts@fedoraproject.org> - 0-0.9.hg17c8fe23290a
- setting an epoch for godoc to fix bz1099074

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.hg17c8fe23290a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Aug 12 2014 Vincent Batts <vbatts@redhat.com> 0-0.7.hg17c8fe23290a
- fix bz1129281 and cleanup file ownership

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.hg17c8fe23290a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Vincent Batts <vbatts@redhat.com> 0-0.5.hg17c8fe23290a
- working on the arch dependencies
- clean up file ownership

* Thu Dec 05 2013 Vincent Batts <vbatts@redhat.com> 0-0.4.hg17c8fe23290a
- golang-godoc to obsolete the package from golang 1.1.2

* Tue Nov 12 2013 Vincent Batts <vbatts@redhat.com> 0-0.3.hg17c8fe23290a
- removing conflicting directory ownership

* Tue Nov 12 2013 Vincent Batts <vbatts@redhat.com> 0-0.2.hg17c8fe23290a
- adding subpackages for all available commands

* Sun Nov 10 2013 Vincent Batts <vbatts@redhat.com> 0-0.1.hg17c8fe23290a
- initial build
